FolksDummy.PersonaStore.remove_persona – folks-dummy Reference Manual

# remove_persona

## Description:

public override async void remove_persona (Persona persona) throws PersonaStoreError

Remove a Persona from the PersonaStore.

See Folks.PersonaStore.remove_persona.

## Parameters:

persona | the persona that should be removed

## Exceptions:

Folks.PersonaStoreError.STORE_OFFLINE | if the store hasn’t been prepared or has gone offline
Folks.PersonaStoreError.PERMISSION_DENIED | if the store denied permission to delete the contact
Folks.PersonaStoreError.READ_ONLY | if the store is read only
Folks.PersonaStoreError.REMOVE_FAILED | if any other errors happened in the store

## Since:

0.9.7